[Box Backup-commit] COMMIT r2066 - in box/trunk: . contrib/debian contrib/redhat contrib/solaris contrib/suse

boxbackup-dev at fluffy.co.uk boxbackup-dev at fluffy.co.uk
Tue Jan 29 00:35:11 GMT 2008


Author: chris
Date: 2008-01-29 00:35:11 +0000 (Tue, 29 Jan 2008)
New Revision: 2066

Added:
   box/trunk/contrib/debian/bbackupd.in
   box/trunk/contrib/debian/bbstored.in
   box/trunk/contrib/redhat/bbackupd.in
   box/trunk/contrib/redhat/bbstored.in
   box/trunk/contrib/suse/bbackupd.in
   box/trunk/contrib/suse/bbstored.in
Removed:
   box/trunk/contrib/debian/bbackupd
   box/trunk/contrib/debian/bbstored
   box/trunk/contrib/redhat/bbackupd
   box/trunk/contrib/redhat/bbstored
   box/trunk/contrib/suse/bbackupd
   box/trunk/contrib/suse/bbstored
Modified:
   box/trunk/configure.ac
   box/trunk/contrib/solaris/bbackupd-smf-method.in
   box/trunk/contrib/solaris/bbstored-smf-method.in
Log:
Update contributed scripts to use autoconf substitution for the
paths to binaries, configuration files and local state files.


Modified: box/trunk/configure.ac
===================================================================
--- box/trunk/configure.ac	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/configure.ac	2008-01-29 00:35:11 UTC (rev 2066)
@@ -291,6 +291,12 @@
                    bin/bbackupquery/makedocumentation.pl
                    bin/bbstored/bbstored-certs
                    bin/bbstored/bbstored-config
+                   contrib/debian/bbackupd
+                   contrib/debian/bbstored
+                   contrib/redhat/bbackupd
+                   contrib/redhat/bbstored
+                   contrib/suse/bbackupd
+                   contrib/suse/bbstored
                    contrib/solaris/bbackupd-manifest.xml
                    contrib/solaris/bbstored-manifest.xml
                    contrib/solaris/bbackupd-smf-method

Deleted: box/trunk/contrib/debian/bbackupd
===================================================================
--- box/trunk/contrib/debian/bbackupd	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/debian/bbackupd	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,38 +0,0 @@
-#! /bin/sh
-
-# Start and stop the Box Backup client daemon.
-
-test -x /usr/local/bin/bbackupd || exit 0
-test -f /etc/box/bbackupd.conf || exit 0
-
-case $1 in
-	start)
-		echo -n "Starting Box Backup Client daemon: bbackupd"
-		start-stop-daemon --start --quiet --exec /usr/local/bin/bbackupd > /dev/null
-		echo "."
-		;;
-		
-	stop)
-		echo -n "Stopping Box Backup Client daemon: bbackupd"
-		start-stop-daemon --stop --quiet --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
-		echo "."
-		;;
-	
-	reload|force-reload)
-		echo -n "Reloading the Box Backup Client daemon's configuration"
-		start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
-		echo "."
-		;;
-		
-	restart)
-		echo -n "Restarting the Box Backup Client daemon: bbackupd"	
-		start-stop-daemon --stop --quiet --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
-		start-stop-daemon --start --quiet --exec /usr/local/bin/bbackupd > dev/null
-		echo "."
-		;;
-	*)
-		echo "Usage: /etc/init.d/bbackupd {start|stop|reload|force-reload|restart}"
-		exit 1
-esac
-
-exit 0

Copied: box/trunk/contrib/debian/bbackupd.in (from rev 2060, box/trunk/contrib/debian/bbackupd)
===================================================================
--- box/trunk/contrib/debian/bbackupd.in	                        (rev 0)
+++ box/trunk/contrib/debian/bbackupd.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+# Start and stop the Box Backup client daemon.
+
+BBACKUPD=@bindir_expanded@/bbackupd
+CONFIG=@sysconfdir_expanded@/box/bbackupd.conf
+PIDFILE=@localstatedir_expanded@/bbackupd.pid
+
+test -x $BBACKUPD || exit 0
+test -f $CONFIG || exit 0
+
+case $1 in
+	start)
+		echo -n "Starting Box Backup Client daemon: bbackupd"
+		start-stop-daemon --start --quiet --exec $BBACKUPD > /dev/null
+		echo "."
+		;;
+		
+	stop)
+		echo -n "Stopping Box Backup Client daemon: bbackupd"
+		start-stop-daemon --stop --quiet \
+			--pidfile $PIDFILE --exec $BBACKUPD
+		echo "."
+		;;
+	
+	reload|force-reload)
+		echo -n "Reloading Box Backup Client configuration"
+		start-stop-daemon --stop --signal 1 --quiet --oknodo \
+			--pidfile $PIDFILE --exec $BBACKUPD
+		echo "."
+		;;
+		
+	restart)
+		echo -n "Restarting Box Backup Client daemon: bbackupd"	
+		start-stop-daemon --stop --quiet --pidfile $PIDFILE \
+			--exec $BBACKUPD
+		start-stop-daemon --start --quiet \
+			--exec $BBACKUPD > /dev/null
+		echo "."
+		;;
+	*)
+		echo "Usage: /etc/init.d/bbackupd {start|stop|reload|force-reload|restart}"
+		exit 1
+esac
+
+exit 0

Deleted: box/trunk/contrib/debian/bbstored
===================================================================
--- box/trunk/contrib/debian/bbstored	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/debian/bbstored	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,38 +0,0 @@
-#! /bin/sh
-
-# Start and stop the Box Backup Server.
-
-test -x /usr/local/bin/bbstored || exit 0
-test -f /etc/box/bbstored.conf || exit 0
-
-case $1 in
-	start)
-		echo -n "Starting the Box Backup Server daemon: bbstored"
-		start-stop-daemon --start --quiet --exec /usr/local/bin/bbstored > /dev/null
-		echo "."
-		;;
-	
-	stop)
-		echo -n "Stopping the Box Backup Server daemon: bbstored"
-		start-stop-daemon --stop --quiet --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
-		echo "."
-		;;
-	
-	reload|force-reload)
-		echo -n "Reloading the Box Backup Server's configuration"
-			start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
-		echo "."
-		;;
-	
-	restart)
-		echo -n "Restarting the Box Backup Server daemon: bbstored"
-		start-stop-daemon --stop --quiet --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
-		start-stop-daemon --start --quiet --exec /usr/local/bin/bbstored > /dev/null
-		echo "."
-		;;
-	
-	*)
-		echo "Usage /etc/init.d/bbstored {start|stop|reload|force-reload|restart}"
-esac
-
-exit 0

Copied: box/trunk/contrib/debian/bbstored.in (from rev 2060, box/trunk/contrib/debian/bbstored)
===================================================================
--- box/trunk/contrib/debian/bbstored.in	                        (rev 0)
+++ box/trunk/contrib/debian/bbstored.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+# Start and stop the Box Backup server daemon.
+
+BBSTORED=@bindir_expanded@/bbstored
+CONFIG=@sysconfdir_expanded@/box/bbstored.conf
+PIDFILE=@localstatedir_expanded@/bbstored.pid
+
+test -x $BBACKUPD || exit 0
+test -f $CONFIG || exit 0
+
+case $1 in
+	start)
+		echo -n "Starting Box Backup Server daemon: bbstored"
+		start-stop-daemon --start --quiet --exec $BBSTORED > /dev/null
+		echo "."
+		;;
+	
+	stop)
+		echo -n "Stopping Box Backup Server daemon: bbstored"
+		start-stop-daemon --stop --quiet \
+			--pidfile $PIDFILE --exec $BBSTORED
+		echo "."
+		;;
+	
+	reload|force-reload)
+		echo -n "Reloading Box Backup Server configuration"
+		start-stop-daemon --stop --signal 1 --quiet --oknodo \
+			--pidfile $PIDFILE --exec $BBSTORED
+		echo "."
+		;;
+	
+	restart)
+		echo -n "Restarting Box Backup Server daemon: bbstored"
+		start-stop-daemon --stop --quiet --pidfile $PIDFILE \
+			--exec $BBSTORED
+		start-stop-daemon --start --quiet \
+			--exec $BBSTORED > /dev/null
+		echo "."
+		;;
+	
+	*)
+		echo "Usage: /etc/init.d/bbstored {start|stop|reload|force-reload|restart}"
+esac
+
+exit 0

Deleted: box/trunk/contrib/redhat/bbackupd
===================================================================
--- box/trunk/contrib/redhat/bbackupd	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/redhat/bbackupd	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,83 +0,0 @@
-#! /bin/bash
-#
-# bbackupd          Start/Stop the box backup daemon.
-#
-# chkconfig: 345 93 07
-# description: bbackup is the client side deamon for Box Backup, a completely \
-#              automatic on-line backup system
-# processname: bbackupd
-# config: /etc/box
-# pidfile: /var/run/bbackupd.pid
-
-# Source function library.
-. /etc/init.d/functions
-
-RETVAL=0
-
-# See how we were called.
-
-prog="bbackupd"
-
-# Check that configuration exists.
-[ -f /etc/box/$prog.conf ] || exit 0
-
-start() {
-	echo -n $"Starting $prog: "
-	daemon $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
-	return $RETVAL
-}
-
-stop() {
-	echo -n $"Stopping $prog: "
-	killproc $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
-	return $RETVAL
-}
-
-rhstatus() {
-	status $prog
-}
-
-restart() {
-  	stop
-	start
-}
-
-reload() {
-        echo -n $"Reloading $prog daemon configuration: "
-        killproc $prog -HUP
-        retval=$?
-        echo
-        return $RETVAL
-}
-
-case "$1" in
-  start)
-  	start
-	;;
-  stop)
-  	stop
-	;;
-  restart)
-  	restart
-	;;
-  reload)
-        reload
-        ;;
-  status)
-  	rhstatus
-	;;
-  condrestart)
-  	[ -f /var/lock/subsys/$prog ] && restart || :
-	;;
-  *)
-	echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
-	exit 1
-esac
-
-exit $?

Copied: box/trunk/contrib/redhat/bbackupd.in (from rev 2060, box/trunk/contrib/redhat/bbackupd)
===================================================================
--- box/trunk/contrib/redhat/bbackupd.in	                        (rev 0)
+++ box/trunk/contrib/redhat/bbackupd.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -0,0 +1,83 @@
+#! /bin/bash
+#
+# bbackupd          Start/Stop the box backup client daemon.
+#
+# chkconfig: 345 93 07
+# description: bbackupd is the client side deamon for Box Backup, \
+#              a completely automatic on-line backup system.
+# processname: bbackupd
+# config: @sysconfdir_expanded@/box
+# pidfile: @localstatedir_expanded@/bbackupd.pid
+
+# Source function library.
+. /etc/init.d/functions
+
+RETVAL=0
+
+# See how we were called.
+
+prog="bbackupd"
+
+# Check that configuration exists.
+[ -f @sysconfdir_expanded@/box/$prog.conf ] || exit 0
+
+start() {
+	echo -n $"Starting $prog: "
+	daemon $prog
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
+	return $RETVAL
+}
+
+stop() {
+	echo -n $"Stopping $prog: "
+	killproc $prog
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
+	return $RETVAL
+}
+
+rhstatus() {
+	status $prog
+}
+
+restart() {
+  	stop
+	start
+}
+
+reload() {
+        echo -n $"Reloading $prog configuration: "
+        killproc $prog -HUP
+        retval=$?
+        echo
+        return $RETVAL
+}
+
+case "$1" in
+  start)
+  	start
+	;;
+  stop)
+  	stop
+	;;
+  restart)
+  	restart
+	;;
+  reload)
+        reload
+        ;;
+  status)
+  	rhstatus
+	;;
+  condrestart)
+  	[ -f /var/lock/subsys/$prog ] && restart || :
+	;;
+  *)
+	echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
+	exit 1
+esac
+
+exit $?

Deleted: box/trunk/contrib/redhat/bbstored
===================================================================
--- box/trunk/contrib/redhat/bbstored	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/redhat/bbstored	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,83 +0,0 @@
-#! /bin/bash
-#
-# bbstored          Start/Stop the box backup daemon.
-#
-# chkconfig: 345 93 07
-# description: bbstore is the server side deamon for Box Backup, a completely \
-#              automatic on-line backup system
-# processname: bbstored
-# config: /etc/box
-# pidfile: /var/run/bbstored.pid
-
-# Source function library.
-. /etc/init.d/functions
-
-RETVAL=0
-
-# See how we were called.
-
-prog="bbstored"
-
-# Check that configuration exists.
-[ -f /etc/box/$prog.conf ] || exit 0
-
-start() {
-	echo -n $"Starting $prog: "
-	daemon $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
-	return $RETVAL
-}
-
-stop() {
-	echo -n $"Stopping $prog: "
-	killproc $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
-	return $RETVAL
-}
-
-rhstatus() {
-	status $prog
-}
-
-restart() {
-  	stop
-	start
-}
-
-reload() {
-        echo -n $"Reloading $prog daemon configuration: "
-        killproc $prog -HUP
-        retval=$?
-        echo
-        return $RETVAL
-}
-
-case "$1" in
-  start)
-  	start
-	;;
-  stop)
-  	stop
-	;;
-  restart)
-  	restart
-	;;
-  reload)
-        reload
-        ;;
-  status)
-  	rhstatus
-	;;
-  condrestart)
-  	[ -f /var/lock/subsys/$prog ] && restart || :
-	;;
-  *)
-	echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
-	exit 1
-esac
-
-exit $?

Copied: box/trunk/contrib/redhat/bbstored.in (from rev 2060, box/trunk/contrib/redhat/bbstored)
===================================================================
--- box/trunk/contrib/redhat/bbstored.in	                        (rev 0)
+++ box/trunk/contrib/redhat/bbstored.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -0,0 +1,83 @@
+#! /bin/bash
+#
+# bbstored          Start/Stop the box backup server daemon.
+#
+# chkconfig: 345 93 07
+# description: bbstored is the server side daemon for Box Backup, \
+#              a completely automatic on-line backup system.
+# processname: bbstored
+# config: @sysconfdir_expanded@/box
+# pidfile: @localstatedir_expanded@/bbstored.pid
+
+# Source function library.
+. /etc/init.d/functions
+
+RETVAL=0
+
+# See how we were called.
+
+prog="bbstored"
+
+# Check that configuration exists.
+[ -f @sysconfdir_expanded@/box/$prog.conf ] || exit 0
+
+start() {
+	echo -n $"Starting $prog: "
+	daemon $prog
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
+	return $RETVAL
+}
+
+stop() {
+	echo -n $"Stopping $prog: "
+	killproc $prog
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
+	return $RETVAL
+}
+
+rhstatus() {
+	status $prog
+}
+
+restart() {
+  	stop
+	start
+}
+
+reload() {
+        echo -n $"Reloading $prog configuration: "
+        killproc $prog -HUP
+        retval=$?
+        echo
+        return $RETVAL
+}
+
+case "$1" in
+  start)
+  	start
+	;;
+  stop)
+  	stop
+	;;
+  restart)
+  	restart
+	;;
+  reload)
+        reload
+        ;;
+  status)
+  	rhstatus
+	;;
+  condrestart)
+  	[ -f /var/lock/subsys/$prog ] && restart || :
+	;;
+  *)
+	echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
+	exit 1
+esac
+
+exit $?

Modified: box/trunk/contrib/solaris/bbackupd-smf-method.in
===================================================================
--- box/trunk/contrib/solaris/bbackupd-smf-method.in	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/solaris/bbackupd-smf-method.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,5 +1,5 @@
 
-PIDFILE=/var/run/bbackupd.pid
+PIDFILE=@localstatedir_expanded@/bbackupd.pid
 
 case $1 in 
 

Modified: box/trunk/contrib/solaris/bbstored-smf-method.in
===================================================================
--- box/trunk/contrib/solaris/bbstored-smf-method.in	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/solaris/bbstored-smf-method.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,4 +1,4 @@
-PIDFILE=/var/run/bbstored.pid
+PIDFILE=@localstatedir_expanded@/bbstored.pid
 
 case $1 in 
 

Deleted: box/trunk/contrib/suse/bbackupd
===================================================================
--- box/trunk/contrib/suse/bbackupd	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/suse/bbackupd	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,101 +0,0 @@
-#!/bin/sh
-#
-# Copyright (c)2004, Nothing But Net Limited
-#	<chris.smith at nothingbutnet.co.nz>
-#
-######################################################################
-# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
-# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
-#
-# http://www.fluffy.co.uk/boxbackup/license.html
-######################################################################
-#
-# /etc/init.d/bbackupd
-#   and its symbolic link
-# /(usr/)sbin/rcbbackupd
-#
-### BEGIN INIT INFO
-# Provides:          bbackupd
-# Required-Start:    $named $network $local_fs $syslog
-# X-UnitedLinux-Should-Start: $time ypbind sendmail
-# Required-Stop:     $named $network $localfs $syslog
-# X-UnitedLinux-Should-Stop: $time ypbind sendmail
-# Default-Start:     3 5
-# Default-Stop:      0 1 2 6
-# Short-Description: BoxBackup client side daemon
-# Description: Client daemon for the BoxBackup software       
-#	that allows you to communicate with a bbstored server.
-### END INIT INFO
-
-# Check for missing binaries (stale symlinks should not happen)
-BBACKUPD_BIN=/usr/sbin/bbackupd
-if [ ! -x $BBACKUPD_BIN ] ; then
-	echo "$BBACKUPD_BIN not installed"
-	exit 5
-fi
-
-. /etc/rc.status
-
-# Reset status of this service
-rc_reset
-
-case "$1" in
-	start)
-		echo -n "Starting bbackupd "
-		startproc $BBACKUPD_BIN
-		rc_status -v
-		;;
-
-    stop)
-		echo -n "Shutting down bbackupd "
-		killproc -TERM $BBACKUPD_BIN
-		rc_status -v
-		;;
-
-    try-restart|condrestart)
-		if test "$1" = "condrestart"; then
-			echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
-		fi
-		$0 status
-		if test $? = 0; then
-			$0 restart
-		else
-			rc_reset	# Not running is not a failure.
-		fi
-		rc_status
-		;;
-
-    restart)
-		$0 stop
-		$0 start
-		rc_status
-		;;
-
-    force-reload)
-		echo -n "Reload service bbackupd "
-		killproc -HUP $BBACKUPD_BIN
-		rc_status -v
-		;;
-
-    reload)
-		echo -n "Reload service bbackupd  "
-		killproc -HUP $BBACKUPD_BIN
-		rc_status -v
-		;;
-
-    status)
-		echo -n "Checking for service bbackupd "
-		checkproc $BBACKUPD_BIN
-		rc_status -v
-		;;
-
-    probe)
-		test /etc/box/bbackupd.conf -nt /var/run/bbackupd.pid && echo reload
-		;;
-
-    *)
-		echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
-		exit 1
-
-esac
-rc_exit

Copied: box/trunk/contrib/suse/bbackupd.in (from rev 2060, box/trunk/contrib/suse/bbackupd)
===================================================================
--- box/trunk/contrib/suse/bbackupd.in	                        (rev 0)
+++ box/trunk/contrib/suse/bbackupd.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -0,0 +1,103 @@
+#!/bin/sh
+#
+# Copyright (c)2004, Nothing But Net Limited
+#	<chris.smith at nothingbutnet.co.nz>
+#
+######################################################################
+# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
+# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
+#
+# http://www.boxbackup.org/license.html
+######################################################################
+#
+# /etc/init.d/bbackupd
+#   and its symbolic link
+# /(usr/)sbin/rcbbackupd
+#
+### BEGIN INIT INFO
+# Provides:          bbackupd
+# Required-Start:    $named $network $local_fs $syslog
+# X-UnitedLinux-Should-Start: $time ypbind sendmail
+# Required-Stop:     $named $network $localfs $syslog
+# X-UnitedLinux-Should-Stop: $time ypbind sendmail
+# Default-Start:     3 5
+# Default-Stop:      0 1 2 6
+# Short-Description: BoxBackup client side daemon
+# Description: Client daemon for the BoxBackup software       
+#	that allows you to communicate with a bbstored server.
+### END INIT INFO
+
+# Check for missing binaries (stale symlinks should not happen)
+BBACKUPD_BIN=@bindir_expanded@/bbackupd
+if [ ! -x $BBACKUPD_BIN ] ; then
+	echo "$BBACKUPD_BIN not installed"
+	exit 5
+fi
+
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+case "$1" in
+	start)
+		echo -n "Starting bbackupd "
+		startproc $BBACKUPD_BIN
+		rc_status -v
+		;;
+
+    stop)
+		echo -n "Shutting down bbackupd "
+		killproc -TERM $BBACKUPD_BIN
+		rc_status -v
+		;;
+
+    try-restart|condrestart)
+		if test "$1" = "condrestart"; then
+			echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+		fi
+		$0 status
+		if test $? = 0; then
+			$0 restart
+		else
+			rc_reset	# Not running is not a failure.
+		fi
+		rc_status
+		;;
+
+    restart)
+		$0 stop
+		$0 start
+		rc_status
+		;;
+
+    force-reload)
+		echo -n "Reload service bbackupd "
+		killproc -HUP $BBACKUPD_BIN
+		rc_status -v
+		;;
+
+    reload)
+		echo -n "Reload service bbackupd  "
+		killproc -HUP $BBACKUPD_BIN
+		rc_status -v
+		;;
+
+    status)
+		echo -n "Checking for service bbackupd "
+		checkproc $BBACKUPD_BIN
+		rc_status -v
+		;;
+
+    probe)
+		test @sysconfdir_expanded@/box/bbackupd.conf \
+			-nt @localstatedir_expanded@/bbackupd.pid \
+		&& echo reload
+		;;
+
+    *)
+		echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+		exit 1
+
+esac
+rc_exit

Deleted: box/trunk/contrib/suse/bbstored
===================================================================
--- box/trunk/contrib/suse/bbstored	2008-01-29 00:09:26 UTC (rev 2065)
+++ box/trunk/contrib/suse/bbstored	2008-01-29 00:35:11 UTC (rev 2066)
@@ -1,103 +0,0 @@
-#!/bin/sh
-#
-# Copyright (c)2004, Nothing But Net Limited
-#   <chris.smith at nothingbutnet.co.nz>
-#
-######################################################################
-# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
-# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
-#
-# http://www.fluffy.co.uk/boxbackup/license.html
-######################################################################
-#
-# /etc/init.d/bbackupd
-#   and its symbolic link
-# /(usr/)sbin/rcbbackupd
-#
-### BEGIN INIT INFO
-# Provides:          bbackupd
-# Required-Start:    $named $network $local_fs $syslog
-# X-UnitedLinux-Should-Start: $time ypbind sendmail
-# Required-Stop:     $named $network $localfs $syslog
-# X-UnitedLinux-Should-Stop: $time ypbind sendmail
-# Default-Start:     3 5
-# Default-Stop:      0 1 2 6
-# Short-Description: BoxBackup server side daemon
-# Description: Client daemon for the BoxBackup software       
-#	that allows you to communicate with a bbstored server.
-### END INIT INFO
-# 
-
-# Check for missing binaries (stale symlinks should not happen)
-BBACKUPD_BIN=/usr/sbin/bbstored
-if [ ! -x $BBACKUPD_BIN ] ; then
-	echo "$BBACKUPD_BIN not installed"
-	exit 5
-fi
-
-. /etc/rc.status
-
-# Reset status of this service
-rc_reset
-
-case "$1" in
-	start)
-	echo -n "Starting bbstored "
-	startproc $BBACKUPD_BIN
-	rc_status -v
-	;;
-
-    stop)
-	echo -n "Shutting down bstored "
-	killproc -TERM $BBACKUPD_BIN
-	rc_status -v
-	;;
-
-    try-restart|condrestart)
-	if test "$1" = "condrestart"; then
-		echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
-	fi
-	$0 status
-	if test $? = 0; then
-		$0 restart
-	else
-		rc_reset	# Not running is not a failure.
-	fi
-	rc_status
-	;;
-
-    restart)
-	$0 stop
-	$0 start
-	rc_status
-	;;
-
-    force-reload)
-	echo -n "Reload service bbstored "
-	killproc -HUP $BBACKUPD_BIN
-	rc_status -v
-	;;
-
-    reload)
-	echo -n "Reload service bbstored  "
-	killproc -HUP $BBACKUPD_BIN
-	rc_status -v
-	;;
-
-    status)
-	echo -n "Checking for service bbstored "
-	checkproc $BBACKUPD_BIN
-	rc_status -v
-	;;
-
-    probe)
-	test /etc/box/bbstored.conf -nt /var/run/bbstored.pid && echo reload
-	;;
-
-    *)
-	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
-	exit 1
-	;;
-
-esac
-rc_exit

Copied: box/trunk/contrib/suse/bbstored.in (from rev 2060, box/trunk/contrib/suse/bbstored)
===================================================================
--- box/trunk/contrib/suse/bbstored.in	                        (rev 0)
+++ box/trunk/contrib/suse/bbstored.in	2008-01-29 00:35:11 UTC (rev 2066)
@@ -0,0 +1,104 @@
+#!/bin/sh
+#
+# Copyright (c)2004, Nothing But Net Limited
+#   <chris.smith at nothingbutnet.co.nz>
+#
+######################################################################
+# RELEASED AND PROVIDED TO YOU UNDER THE SAME LICENCE AS THE BOXBACKUP
+# SUITE OF PROGRAMS. LICENCE MAY BE VIEWED HERE:
+#
+# http://www.boxbackup.org/license.html
+######################################################################
+#
+# /etc/init.d/bbstored
+#   and its symbolic link
+# /(usr/)sbin/rcbbstored
+#
+### BEGIN INIT INFO
+# Provides:          bbstored
+# Required-Start:    $named $network $local_fs $syslog
+# X-UnitedLinux-Should-Start: $time ypbind sendmail
+# Required-Stop:     $named $network $localfs $syslog
+# X-UnitedLinux-Should-Stop: $time ypbind sendmail
+# Default-Start:     3 5
+# Default-Stop:      0 1 2 6
+# Short-Description: BoxBackup server side daemon
+# Description: Server daemon for the BoxBackup software,
+#	to which bbackupd clients connect.
+### END INIT INFO
+# 
+
+# Check for missing binaries (stale symlinks should not happen)
+BBSTORED_BIN=@bindir_expanded@/bbstored
+if [ ! -x $BBSTORED_BIN ] ; then
+	echo "$BBSTORED_BIN not installed"
+	exit 5
+fi
+
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+case "$1" in
+	start)
+	echo -n "Starting bbstored "
+	startproc $BBSTORED_BIN
+	rc_status -v
+	;;
+
+    stop)
+	echo -n "Shutting down bbstored "
+	killproc -TERM $BBSTORED_BIN
+	rc_status -v
+	;;
+
+    try-restart|condrestart)
+	if test "$1" = "condrestart"; then
+		echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+	fi
+	$0 status
+	if test $? = 0; then
+		$0 restart
+	else
+		rc_reset	# Not running is not a failure.
+	fi
+	rc_status
+	;;
+
+    restart)
+	$0 stop
+	$0 start
+	rc_status
+	;;
+
+    force-reload)
+	echo -n "Reload service bbstored "
+	killproc -HUP $BBSTORED_BIN
+	rc_status -v
+	;;
+
+    reload)
+	echo -n "Reload service bbstored  "
+	killproc -HUP $BBSTORED_BIN
+	rc_status -v
+	;;
+
+    status)
+	echo -n "Checking for service bbstored "
+	checkproc $BBSTORED_BIN
+	rc_status -v
+	;;
+
+    probe)
+	test @sysconfdir_expanded@/box/bbstored.conf \
+		-nt @localstatedir_expanded@/bbstored.pid && echo reload
+	;;
+
+    *)
+	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+	exit 1
+	;;
+
+esac
+rc_exit




More information about the Boxbackup-commit mailing list